Application: gvSIG desktop - gvSIG bugs #4808
If we fix scale at the View in a Layout all the zooms continue available
02/05/2018 06:28 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee:

Category: Document layout

Target version: 2.4.0-2849 (rev. org.gvsig.deskiop-2.0.219)

Severity: Critical Add-on version:

gvSIG version: 2.4.0 Add-on build:

gvSIG build: 2847 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

If we fix scale at the View in a Layout all the zooms continue available, being able to do zoom in and zoom out.

Aunque fijemos la escala de una vista del mapa nos siguen saliendo todos los zooms activados, pudiendo hacer zoom mas y menos.

Associated revisions

Revision 760 - 02/18/2018 09:58 AM - Joaquin del Cerro Murciano

refs #4808, Corregido un error en la sincronizacion entre el mapa y la vista que se daba al clonar la vista del mapa para meterla en la lista de acciones
de deshacer.

Revision 761 - 02/18/2018 10:22 AM - Joaquin del Cerro Murciano

refs #4808, Reformateado de codigo.

Revision 762 - 02/18/2018 10:24 AM - Joaquin del Cerro Murciano

refs #4808, Reformateado de codigo.

History

#1 - 02/06/2018 09:24 AM - Alvaro Anguix

- Severity changed from Minor to Critical

- Target version set to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Priority changed from High to Urgent

Probado con los siguientes pasos y el comportamiento es muy 'extrafo':

- Creo un layout a partir de una Vista

- Cuando redimensiono la vista insertada en el layout hace redimensionados no muy l6gicos, que no mantienen encuadre.
- Fijo la escala, como dice Mario

- Hago zoom a una capa (desde el layout)
- Vuelvo a entrar a las propiedades de la Vista insertada. No toco nada y pulso 'Aceptar’

- Me cambia el encuadre, pero no me cambia la escala.

En definitiva, no se puede trabajar con el layout

#2 - 02/06/2018 09:25 AM - Alvaro Anguix

- File gvSIG.log added

#3 - 02/18/2018 10:25 AM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#4 - 02/18/2018 10:41 AM - Joaquin del Cerro Murciano

He creado el plugin:

- gvSIG-desktop-2.4.0-org.gvsig.app.document.layout2.app.mainplugin-2.0.119-138-final-all-all-j1_7

Y deberia estar para instalar desde url.

#5 - 02/19/2018 11:21 PM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2849 (rev. org.gvsig.desktop-2.0.219)

#6 - 02/18/2019 04:49 PM - Alvaro Anguix

- Status changed from Fixed to Closed

Files

gvSIG.log 504 KB 02/06/2018 Alvaro Anguix
https://devel.gvsig.org/download/projects/gvsig-app-document-layout/pool/org.gvsig.app.document.layout2.app.mainplugin/gvSIG-desktop-2.4.0-org.gvsig.app.document.layout2.app.mainplugin-2.0.119-138-final-all-all-j1_7.gvspkg

